
Redmine - Defect #13741

Not landing on home page on login after visiting lost password page

2013-04-10 19:27 - Filou Centrinov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed Affected version: 2.3.0

Description

I'm not landing on the home page after login, when I've entered something at the "lost password"-page before.

How to reproduce:

1. Click on "login" link at the top or just go to www.domain.com/login

2. Click on "Lost password"

3. Enter anything (or a correct/existing email)

4. Click again on "login" link at the top

5. Enter now your user name and password and click on the login button to login

6. DEFECT : "forget password"-page is shown again, instead of home page

You can also reproduce this bug on www.redmine.org.

Associated revisions

Revision 16151 - 2017-01-07 11:49 - Jean-Philippe Lang

Don't redirect to lost password page after login (#13741).

Patch by Gregory Van der Steen.

History

#1 - 2016-12-07 09:34 - Gregory V

Defect is still present and reproducable in redmine 3.x.

After diving in the source code, it looks like the back_url is fetched from HTTP_REFERER and used to redirect to on successful login after password

change.

#2 - 2016-12-07 10:19 - Gregory V

- File do_not_redirect_to_lost_password_page.diff added

Defect is still present and reproducible in redmine 3.x.

After diving in the source code, it looks like the back_url is fetched from HTTP_REFERER and used to redirect to on successful login after password

change.

edit

Patch added, so tracker can be changed from Defect to Patch by someone with the right permissions

#3 - 2017-01-03 05:23 - Toshi MARUYAMA

- Target version set to 3.4.0

#4 - 2017-01-07 11:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

#5 - 2017-01-07 11:50 - Jean-Philippe Lang

- Subject changed from Not landing on home page after login to Not landing on home page on login after visiting lost password page

2025-07-02 1/2

http://www.domain.com/login
http://www.redmine.org


Files

do_not_redirect_to_lost_password_page.diff 482 Bytes 2016-12-07 Gregory V

Powered by TCPDF (www.tcpdf.org)

2025-07-02 2/2

http://www.tcpdf.org

